## org.eclipse.datatools.connectivity.oda.design
Interface ScalarValueDefinition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ScalarValueDefinition

extends org.eclipse.emf.ecore.EObject

Defines a scalar value with a brief description.

The following features are supported:

- `Value`
- `Display Name`

See Also:
  `DesignPackage.getScalarValueDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getDisplayName()` Returns the value of the 'Display Name' attribute.
`java.lang.String` `getDisplayNameKey()` Returns the resource key of the 'Display Name' attribute.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`void` `setDisplayName(java.lang.String value)` Sets the value of the '`Display Name`' attribute.
`void` `setDisplayNameKey(java.lang.String value)` Sets the resource key of the '`Display Name`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `DesignPackage.getScalarValueDefinition_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getDisplayName

    java.lang.String getDisplayName()

  Returns the value of the 'Display Name' attribute. A localized name that describes the value. Text can be localized with a resource key.

  Returns:
    the value of the 'Display Name' attribute.
  See Also:
    `setDisplayName(String)`, `DesignPackage.getScalarValueDefinition_DisplayName()`, `getDisplayNameKey()`

### setDisplayName

    void setDisplayName(java.lang.String value)

  Sets the value of the '`Display Name`' attribute.

  Parameters:
    `value` - the new value of the 'Display Name' attribute.
  See Also:
    `getDisplayName()`, `setDisplayNameKey(String)`

### getDisplayNameKey

    java.lang.String getDisplayNameKey()

  Returns the resource key of the 'Display Name' attribute.

  Returns:
    the resource key of the 'Display Name' attribute; may be null if none is available
  Since:
    3.2.3
  See Also:
    `setDisplayNameKey(String)`, `getDisplayName()`, `DataSourceDesign.getResourceFile()`

### setDisplayNameKey

    void setDisplayNameKey(java.lang.String value)

  Sets the resource key of the '`Display Name`' attribute.

  Parameters:
    `value` - the new resource key of the 'Display Name' attribute; may be null to reset
  Since:
    3.2.3
  See Also:
    `getDisplayNameKey()`, `setDisplayName(String)`, `DataSourceDesign.getResourceFile()`